OGRE: Ogre::D3D9ResourceManager Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::D3D9ResourceManager Class Reference

`#include <OgreD3D9ResourceManager.h>`

Inheritance diagram for Ogre::D3D9ResourceManager:
[legend]

## Public Member Functions
| D3D9ResourceManager ()
| ~D3D9ResourceManager ()
D3D9ResourceCreationPolicy | getCreationPolicy () const
void | lockDeviceAccess ()
void | notifyOnDeviceCreate (IDirect3DDevice9 *d3d9Device)
void | notifyOnDeviceDestroy (IDirect3DDevice9 *d3d9Device)
void | notifyOnDeviceLost (IDirect3DDevice9 *d3d9Device)
void | notifyOnDeviceReset (IDirect3DDevice9 *d3d9Device)
void | setCreationPolicy (D3D9ResourceCreationPolicy creationPolicy)
void | unlockDeviceAccess ()

## Constructor & Destructor Documentation

## ◆ D3D9ResourceManager()

Ogre::D3D9ResourceManager::D3D9ResourceManager | ( |  | ) |

## ◆ ~D3D9ResourceManager()

Ogre::D3D9ResourceManager::~D3D9ResourceManager | ( |  | ) |

## Member Function Documentation

## ◆ notifyOnDeviceCreate()

void Ogre::D3D9ResourceManager::notifyOnDeviceCreate | ( | IDirect3DDevice9 * | d3d9Device | ) |

## ◆ notifyOnDeviceDestroy()

void Ogre::D3D9ResourceManager::notifyOnDeviceDestroy | ( | IDirect3DDevice9 * | d3d9Device | ) |

## ◆ notifyOnDeviceLost()

void Ogre::D3D9ResourceManager::notifyOnDeviceLost | ( | IDirect3DDevice9 * | d3d9Device | ) |

## ◆ notifyOnDeviceReset()

void Ogre::D3D9ResourceManager::notifyOnDeviceReset | ( | IDirect3DDevice9 * | d3d9Device | ) |

## ◆ lockDeviceAccess()

void Ogre::D3D9ResourceManager::lockDeviceAccess | ( |  | ) |

## ◆ unlockDeviceAccess()

void Ogre::D3D9ResourceManager::unlockDeviceAccess | ( |  | ) |

## ◆ setCreationPolicy()

void Ogre::D3D9ResourceManager::setCreationPolicy | ( | D3D9ResourceCreationPolicy | creationPolicy | ) |

## ◆ getCreationPolicy()

D3D9ResourceCreationPolicy Ogre::D3D9ResourceManager::getCreationPolicy | ( |  | ) | const

The documentation for this class was generated from the following file:

- OgreD3D9ResourceManager.h